Subject: Re: [PATCH] difftool: Make directory diff symlink work tree

From: Matt McClure <[email-masked]>
Date: Tue, 12 Mar 2013 17:12:28 -0600

On Mar 12, 2013, at 1:25 PM, John Keeping <[email-masked]> wrote:

> When I tried this I got the expected behaviour even without this patch.

    git diff --raw commit

emits the null SHA1 if the working tree file's stat differs from the
blob corresponding to commit. Is that the case you observed?